import { Logger } from "winston";
import { DbDriver } from "./mongoose";
import { Environment } from "./environment";
import { SentryOptions } from "./sentry-options";
export declare class Bootstrapper {
    private dbDriver;
    private env;
    private logg;
    private sentryOptions;
    private start;
    private disconnect;
    constructor(dbDriver: DbDriver, env: Environment, logg: Logger, sentryOptions: SentryOptions, start: Function, disconnect?: boolean);
    private initSentry;
    bootstrap(): Promise<void>;
}
