import { ContinentName } from './continent-names';
export declare type AmazonEuropeType = 'amazon_de' | 'amazon_uk' | 'amazon_it' | 'amazon_fr' | 'amazon_es';
export declare const AMAZON_EUROPE: AmazonEuropeType[];
export declare type AmazonAmericaType = 'amazon_mx' | 'amazon_us' | 'amazon_ca';
export declare const AMAZON_AMERICA: AmazonAmericaType[];
export declare type AmazonOtherType = 'amazon_br' | 'amazon_in' | 'amazon_cn' | 'amazon_jp' | 'amazon_au';
export declare const AMAZON_OTHER: AmazonOtherType[];
export declare type AmazonType = AmazonAmericaType | AmazonEuropeType | AmazonOtherType;
export declare const AMAZON: AmazonType[];
export declare type MarketplaceName = AmazonType;
export declare const MARKETPLACES: AmazonType[];
export declare const america: AmazonAmericaType[];
export declare const europe: AmazonEuropeType[];
export declare function getContinentMarketplaces(continent: ContinentName): MarketplaceName[];
