import { ConsoleLogger, Environment } from "..";
export declare type Iterable<T> = AsyncIterableIterator<T> | IterableIterator<T> | T[];
export declare class CallbackResponder {
    private env;
    private logger;
    constructor(env: Environment, logger: ConsoleLogger);
    runIterable<T>(callbackUrl: string, fn: Iterable<T>): Promise<void>;
    run<T>(callbackUrl: string, fn: () => T | Promise<T>): Promise<any>;
    private send;
}
